POST api/v2/Authentication/LoginPost
Request Information
URI Parameters
None.
Body Parameters
LoginBindingModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Username | string |
Required |
|
| Password | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"Username": "sample string 1",
"Password": "sample string 2"
}
application/xml, text/xml
Sample:
<LoginBindingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Models"> <Password>sample string 2</Password> <Username>sample string 1</Username> </LoginBindingModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Rootobject| Name | Description | Type | Additional information |
|---|---|---|---|
| access_token | string |
None. |
|
| token_type | string |
None. |
|
| expires_in | integer |
None. |
|
| Username | string |
None. |
|
| error | string |
None. |
|
| error_description | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"access_token": "sample string 1",
"token_type": "sample string 2",
"expires_in": 3,
"Username": "sample string 4",
"error": "sample string 5",
"error_description": "sample string 6"
}
application/xml, text/xml
Sample:
<Rootobject xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Controllers"> <Username>sample string 4</Username> <access_token>sample string 1</access_token> <error>sample string 5</error> <error_description>sample string 6</error_description> <expires_in>3</expires_in> <token_type>sample string 2</token_type> </Rootobject>